Subject: [MMUSIC] SDP Directorate review of draft-ietf-xrblock-rtcp-xr-discard

From: Jonathan Lennox <[email-masked]>
Date: Mon, 17 Dec 2012 10:49:41 -0500

I have been asked to perform the SDP Directorate review for draft-ietf-xrblock-rtcp-xr-discard. I reviewed the -10 version of the document.

Syntactically, the SDP usage in this document seems fine.  It is a simple and correct usage of an extension point defined in RFC 3711.

However, the statement in Section 4 that "XR blocks MAY be used without explicit signaling" is confusing, as it implies that the entire SDP section is entirely optional.  This document should at least reference Section 5 of RFC 3711, which gives guidance as to when SDP signaling of the use of XR blocks is recommended.

In the IANA considerations section, I echo Adam Roach's comments on the burst-gap-lost draft: the full and proper names of the IANA registries should be spelled out.  These are the "RTP Control Protocol Extended Reports (RTCP XR) Block Type Registry" in Section 5.1, and the "RTP Control Protocol Extended Reports (RTCP XR) Session Description Protocol (SDP) Parameters Registry" in Section 5.2.

Additionally, the last sentence of section 4.2 is not correct English.  The sentence

   For detailed usage in Offer/Answer for unilateral parameter, refer to section 5.2 of [RFC3611].

should be

   For detailed usage of Offer/Answer for unilateral parameters, refer to section 5.2 of [RFC3611].

--
Jonathan Lennox
[email-masked]

---

From: Qin Wu <[email-masked]>
Date: Tue, 18 Dec 2012 10:20:23 +0800

I guess the reference "RFC3711 section 5" Jonathan mentioned should be corrected as "RFC3611 section 5".
If my understanding is correct, what Jonathan suggested is to have the following change:
OLD TEXT:
"
   RFC 3611 defines the use of SDP (Session Description Protocol)
   [RFC4566] for signaling the use of RTCP XR blocks.  XR blocks MAY be
   used without prior signaling.

"
NEW TEXT:
"
   RFC 3611 defines the use of SDP (Session Description Protocol)
   [RFC4566] for signaling the use of RTCP XR blocks.  However XR blocks MAY be
   used without prior signaling (see section 5 of RFC3611).
"
Please correct me if I am wrong.

Regards!
-Qin
----- Original Message ----- 
From: "Glen Zorn" <[email-masked]>
To: "Jonathan Lennox" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tuesday, December 18, 2012 9:50 AM
Subject: Re: SDP Directorate review of draft-ietf-xrblock-rtcp-xr-discard

> On 12/17/2012 10:49 PM, Jonathan Lennox wrote:
> 
>> I have been asked to perform  the SDP Directorate review for
> > draft-ietf-xrblock-rtcp-xr-discard. I reviewed the -10 version of the
> > document.
> >
> >
> >
> > Syntactically, the SDP usage in this document seems fine. It is a
> > simple and correct usage of an extension point defined in RFC 3711.
> >
> >
> >
> > However, the statement in Section 4 that "XR blocks MAY be used
> > without explicit signaling" is confusing, as it implies that the
> > entire SDP section is entirely optional. This document should at
> > least reference Section 5 of RFC 3711, which gives guidance as to
> > when SDP signaling of the use of XR blocks is recommended.
> >
> 
> I'm not sure why this is confusing (aside from fact that RFC 3711 is 
> itself confusing: it says "although the use of SDP signaling for XR 
> blocks may be optional, if used, it MUST be used as defined here". /May/ 
> be optional?  Optionality seems pretty black and white to me ;-).  That 
> said, however, it does seem to be relatively clear that the usage of SDP 
> /is/ optional & along with it the section on SDP in this and other 
> similar drafts.  What am I missing?
> 
> ...
>

---

From: Glen Zorn <[email-masked]>
Date: Tue, 18 Dec 2012 08:50:49 +0700

...

---

From: Glen Zorn <[email-masked]>
Date: Tue, 18 Dec 2012 10:03:22 +0700

On 12/18/2012 09:20 AM, Qin Wu wrote:

> I guess the reference "RFC3711  section 5" Jonathan mentioned should
 > be corrected as "RFC3611 section 5". If my understanding is correct,
 > what Jonathan suggested is to have the following change: OLD TEXT: "
 > " NEW TEXT: " RFC 3611 defines the use of SDP (Session Description
 > Protocol) [RFC4566] for signaling the use of RTCP XR blocks. However
 > XR blocks MAY be used without prior signaling (see section 5 of
 > RFC3611). " Please correct me if I am wrong.

My comment still stands: the existing text is not confusing & needn't be 
changed.

...

---

From: Jonathan Lennox <[email-masked]>
Date: Tue, 18 Dec 2012 10:18:12 -0500

Yes, that text addition seems reasonable to me.

For people experienced with XRBlocks, Glen's point that this isn't confusing is taken; but I think this addition would be helpful for those (like me) who are coming to this somewhat cold.

Sorry for the typo in the RFC number.

-----Original Message-----
From: Qin Wu [mailto:[email-masked]] 
Sent: Monday, December 17, 2012 9:20 PM
To: Glen Zorn; Jonathan Lennox
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: SDP Directorate review of draft-ietf-xrblock-rtcp-xr-discard

"
NEW TEXT:
"

Regards!
-Qin

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 18 Dec 2012 09:28:34 -0800

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Glen Zorn
> Sent: Monday, December 17, 2012 5:51 PM
> To: Jonathan Lennox
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [MMUSIC] SDP Directorate review of draft-ietf-xrblock-rtcp-
> xr-discard
> 
>  > Syntactically, the SDP usage in this document seems fine. It is a  >
>  > However, the statement in Section 4 that "XR blocks MAY be used  >
> without explicit signaling" is confusing, as it implies that the  >
> entire SDP section is entirely optional. This document should at  >
> least reference Section 5 of RFC 3711, which gives guidance as to  >

(RFC3611, you both meant to write.  RFC3711 is SRTP, RFC3611 is RTCP-XR).

SDP lines are supposed to be declarative or negotiated.  RTCP-XR seems to
have done neither:  SDP is just there as a check-box.

What is missing is an explanation of when and why would an endpoint would 
include the SDP, and when and why would it omit the SDP.

But, if the endpoints are going to send RTCP-XR whenever it wants,
no matter if the remote end cares to receive RTCP-XR, why do we have
SDP defined at all?  Just send RTCP-XR and let's save SDP implementation
effort and remove the SDP definitions.

-d